@Echo off
@title Patcheur FR FF-T4HoL (v1.0) - Par Lyan53
color 3B


:start:
echo.
echo.                                 Patcheur FR - v1.0
echo                         Final Fantasy The 4 Heroes of Light 
echo.
echo                                Applicable uniquement
echo                         sur ROM NDS EUR ou US non-modifie.
echo.
echo.
echo                       ROMHack et Traduction par MYTH-Project.
echo.
echo.                                 .................
echo. 
echo.
echo                         Pressez une touche pour continuer...
pause>nul


:begin:
cls
ren Unpacker.dll 7z.dll
Unpacker x "FFG-FR-v1.0.pack"
ren 7z.dll Unpacker.dll
if not exist "ROM Originale\*.nds" goto :nodump:
copy "ROM Originale\*.nds" "*.nds"
ren "*.nds" "Original.nds"
set file=Original.nds
cls
echo.
echo                                Traitement en cours ...
echo.
goto :checkdump1:



:checkdump1:
md5 -cbcd2a4fa5327968000a5ce19b6f75a26 -l %file%
If %errorlevel%==0 (goto :as-fftfhol:) else if not %errorlevel%==0 (goto :checkdump2:)



:checkdump2:
md5 -c01d5b15a0ecb1c5d2b3d02bcb147fdfd -l %file%
If %errorlevel%==0 (goto :mrc-bfxp:) else if not %errorlevel%==0 (goto :checkdump3:)



:checkdump3:
md5 -cea9a9eae88f65d616d22a12de7eada3c -l %file%
If %errorlevel%==0 (goto :nt-ff4hu:) else if not %errorlevel%==0 (goto :baddump:)



:as-fftfhol:
echo Apply Dump Cleaner
xdelta -d -vfs "original.nds" "FFG-EU-ABSTKT-Cleaner.fix" "temp.nds"
del original.nds
ren temp.nds original.nds
goto :mrc-bfxp:



:mrc-bfxp:
echo ROM Clean EUR
xdelta -d -vfs "original.nds" "Patch FR FF-T4HoL (v1.0) [EUR].ffg" "FF-T4HoL FR (v1.0) [EUR].nds"
del original.nds
goto :eurfix:



:nt-ff4hu:
echo ROM Clean USA
xdelta -d -vfs "original.nds" "Patch FR FF-T4HoL (v1.0) [USA].ffg" "FF-T4HoL FR (v1.0) [USA].nds"
del original.nds
goto :usafix:



:eurfix:
cls
echo.
echo                 Souhaitez-vous appliquer le fix antiprotection 
echo                          sur votre ROM EU patche FR ?
echo.
echo                  Ce dernier ne vous servira que si le firmware
echo                        de votre linker n'est pas  jour.
echo.
echo                 L'application de ce fix reste optionnelle et nous ne
echo                       pouvons garantir qu'il fonctionnera bien
echo             sur tous les modles de linker et leurs firmwares respectifs.
echo.
echo                           Non - tapez : 1 puis entre
echo                           Oui - tapez : 2 puis entre
echo.
set /p eurchoice=Quel est votre choix ? :
if "%eurchoice%"=="1" goto :eu-success:
if "%eurchoice%"=="2" goto :eu-apply:



:usafix:
cls
echo.
echo                  Souhaitez-vous appliquer le fix antiprotection 
echo                           sur votre ROM US patche FR ?
echo.
echo                       Ce dernier vous servira si le firmware
echo                          de votre linker n'est pas  jour.
echo.
echo                 L'application de ce fix reste optionnelle et nous ne
echo                       pouvons garantir qu'il fonctionnera bien
echo             sur tous les modles de linker et leurs firmwares respectifs.
echo.
echo                            Non - tapez : 1 puis entre
echo                            Oui - tapez : 2 puis entre
echo.
set /p usachoice=Quel est votre choix ? :
if "%usachoice%"=="1" goto :us-success:
if "%usachoice%"=="2" goto :us-apply:



:eu-apply:
echo Apply EUR Fix
xdelta -d -vfs "FF-T4HoL FR (v1.0) [EUR].nds" "FFG-EU-Linker.fix" "FF-T4HoL FR (v1.0) [EUR-Fixed].nds"
del "FF-T4HoL FR (v1.0) [EUR].nds"
goto :eu-success:



:eu-success:
md "FF-T4HoL FR (v1.0) [ROM EUR]"
move *.nds "FF-T4HoL FR (v1.0) [ROM EUR]\"
cls
echo.
echo                  Patch FR appliqu avec succs sur votre ROM EUR !!
echo.
echo                                     Enjoy ...
echo.
del "FFG-EU-ABSTKT-Cleaner.fix"
del "FFG-EU-Linker.fix"
del "FFG-US-Linker.fix"
del "Patch FR FF-T4HoL (v1.0) [EUR].ffg"
del "Patch FR FF-T4HoL (v1.0) [USA].ffg"
del "md5.exe"
del "xdelta.exe"
goto :end:



:us-apply:
echo Apply USA Fix
xdelta -d -vfs "FF-T4HoL FR (v1.0) [USA].nds" "FFG-US-Linker.fix" "FF-T4HoL FR (v1.0) [USA-Fixed].nds"
del "FF-T4HoL FR (v1.0) [USA].nds"
goto :us-success:



:us-success:
md "FF-T4HoL FR (v1.0) [ROM US]"
move *.nds "FF-T4HoL FR (v1.0) [ROM US]\"
cls
echo.
echo                  Patch FR appliqu avec succs sur votre ROM US !!
echo.
echo                                     Enjoy ...
echo.
del "FFG-EU-ABSTKT-Cleaner.fix"
del "FFG-EU-Linker.fix"
del "FFG-US-Linker.fix"
del "Patch FR FF-T4HoL (v1.0) [EUR].ffg"
del "Patch FR FF-T4HoL (v1.0) [USA].ffg"
del "md5.exe"
del "xdelta.exe"
goto :end:



:baddump:
cls
echo.
echo                       Dump non compatible avec ce patcheur !!
echo                             Votre ROM est non-conforme.
echo                   Merci d'utiliser une ROM originale non-modifie.
echo.
del "FFG-EU-ABSTKT-Cleaner.fix"
del "FFG-EU-Linker.fix"
del "FFG-US-Linker.fix"
del "Patch FR FF-T4HoL (v1.0) [EUR].ffg"
del "Patch FR FF-T4HoL (v1.0) [USA].ffg"
del "md5.exe"
del "xdelta.exe"
del "original.nds"
goto :end:



:nodump:
cls
echo.
echo                        Aucune ROM NDS n'a t trouve dans
echo                            le dossier "ROM Originale"
echo.
echo                       Veuillez vous assurer que celle-ci y
echo                     est bien prsente puis ressayez, merci.
echo.               
echo.
del "FFG-EU-ABSTKT-Cleaner.fix"
del "FFG-EU-Linker.fix"
del "FFG-US-Linker.fix"
del "Patch FR FF-T4HoL (v1.0) [EUR].ffg"
del "Patch FR FF-T4HoL (v1.0) [USA].ffg"
del "md5.exe"
del "xdelta.exe"
goto :end:



:end:
echo.                                 ..................
echo.
echo.
echo                          Pressez une touche pour quitter...
pause>nul
